package com.uas.eis.sdk.dto;

import net.sf.json.JSONArray;
import net.sf.json.JSONObject;

import java.io.Serializable;
import java.util.List;

/**
 * @author: zhouy
 * @date: 2021/10/15 16:56
 * @desc: 领料单请求
 */
public class SubPickmtrlReq implements Serializable {
    private static final long serialVersionUID = -5809782578272943999L;

    private String SUPPLIERNO;

    List<SubPickmtrlENTRY> ENTRY;

    public String getSUPPLIERNO() {
        return SUPPLIERNO;
    }

    public void setSUPPLIERNO(String SUPPLIERNO) {
        this.SUPPLIERNO = SUPPLIERNO;
    }

    public List<SubPickmtrlENTRY> getENTRY() {
        return ENTRY;
    }

    public void setENTRY(List<SubPickmtrlENTRY> ENTRY) {
        this.ENTRY = ENTRY;
    }

    public static class SubPickmtrlENTRY {
        private String ENTRY_FNUMBER;
        private String ENTRY_Unitno;
        private Integer ENTRY_FActualQty;
        private String ENTRY_StockNO;
        private String ENTRY_ParentNO;
        private Long ENTRY_FSrcInterId;
        private Long ENTRY_FSrcEntryId;
        private Long ENTRY_FSubReqId;
        private Long ENTRY_FSRCBIZENTRYID;
        private Long ENTRY_FSubReqEntryId;
        private String ENTRY_FPPbomBillNo;
        private Integer ENTRY_FPOOrderSeq;
        private Integer ENTRY_FSubReqEntrySeq;
        private String ENTRY_FSUBREQBILLNO;
        private Integer ENTRY_FSRCENTRYSEQ;
        private String ENTRY_FPOOrderBillNo;

        public String getENTRY_FNUMBER() {
            return ENTRY_FNUMBER;
        }

        public void setENTRY_FNUMBER(String ENTRY_FNUMBER) {
            this.ENTRY_FNUMBER = ENTRY_FNUMBER;
        }
        public String getENTRY_Unitno() {
            return ENTRY_Unitno;
        }

        public void setENTRY_Unitno(String ENTRY_Unitno) {
            this.ENTRY_Unitno = ENTRY_Unitno;
        }

        public Integer getENTRY_FActualQty() {
            return ENTRY_FActualQty;
        }

        public void setENTRY_FActualQty(Integer ENTRY_FActualQty) {
            this.ENTRY_FActualQty = ENTRY_FActualQty;
        }

        public String getENTRY_StockNO() {
            return ENTRY_StockNO;
        }

        public void setENTRY_StockNO(String ENTRY_StockNO) {
            this.ENTRY_StockNO = ENTRY_StockNO;
        }

        public String getENTRY_ParentNO() {
            return ENTRY_ParentNO;
        }

        public void setENTRY_ParentNO(String ENTRY_ParentNO) {
            this.ENTRY_ParentNO = ENTRY_ParentNO;
        }

        public Long getENTRY_FSrcInterId() {
            return ENTRY_FSrcInterId;
        }

        public void setENTRY_FSrcInterId(Long ENTRY_FSrcInterId) {
            this.ENTRY_FSrcInterId = ENTRY_FSrcInterId;
        }

        public Long getENTRY_FSrcEntryId() {
            return ENTRY_FSrcEntryId;
        }

        public void setENTRY_FSrcEntryId(Long ENTRY_FSrcEntryId) {
            this.ENTRY_FSrcEntryId = ENTRY_FSrcEntryId;
        }

        public Long getENTRY_FSubReqId() {
            return ENTRY_FSubReqId;
        }

        public void setENTRY_FSubReqId(Long ENTRY_FSubReqId) {
            this.ENTRY_FSubReqId = ENTRY_FSubReqId;
        }

        public Long getENTRY_FSRCBIZENTRYID() {
            return ENTRY_FSRCBIZENTRYID;
        }

        public void setENTRY_FSRCBIZENTRYID(Long ENTRY_FSRCBIZENTRYID) {
            this.ENTRY_FSRCBIZENTRYID = ENTRY_FSRCBIZENTRYID;
        }

        public Long getENTRY_FSubReqEntryId() {
            return ENTRY_FSubReqEntryId;
        }

        public void setENTRY_FSubReqEntryId(Long ENTRY_FSubReqEntryId) {
            this.ENTRY_FSubReqEntryId = ENTRY_FSubReqEntryId;
        }

        public String getENTRY_FPPbomBillNo() {
            return ENTRY_FPPbomBillNo;
        }

        public void setENTRY_FPPbomBillNo(String ENTRY_FPPbomBillNo) {
            this.ENTRY_FPPbomBillNo = ENTRY_FPPbomBillNo;
        }

        public Integer getENTRY_FPOOrderSeq() {
            return ENTRY_FPOOrderSeq;
        }

        public void setENTRY_FPOOrderSeq(Integer ENTRY_FPOOrderSeq) {
            this.ENTRY_FPOOrderSeq = ENTRY_FPOOrderSeq;
        }

        public Integer getENTRY_FSubReqEntrySeq() {
            return ENTRY_FSubReqEntrySeq;
        }

        public void setENTRY_FSubReqEntrySeq(Integer ENTRY_FSubReqEntrySeq) {
            this.ENTRY_FSubReqEntrySeq = ENTRY_FSubReqEntrySeq;
        }

        public String getENTRY_FSUBREQBILLNO() {
            return ENTRY_FSUBREQBILLNO;
        }

        public void setENTRY_FSUBREQBILLNO(String ENTRY_FSUBREQBILLNO) {
            this.ENTRY_FSUBREQBILLNO = ENTRY_FSUBREQBILLNO;
        }

        public Integer getENTRY_FSRCENTRYSEQ() {
            return ENTRY_FSRCENTRYSEQ;
        }

        public void setENTRY_FSRCENTRYSEQ(Integer ENTRY_FSRCENTRYSEQ) {
            this.ENTRY_FSRCENTRYSEQ = ENTRY_FSRCENTRYSEQ;
        }

        public String getENTRY_FPOOrderBillNo() {
            return ENTRY_FPOOrderBillNo;
        }

        public void setENTRY_FPOOrderBillNo(String ENTRY_FPOOrderBillNo) {
            this.ENTRY_FPOOrderBillNo = ENTRY_FPOOrderBillNo;
        }
    }

    public String toJSONString(){
        JSONObject o = new JSONObject();
        o.put("SUPPLIERNO", SUPPLIERNO);
        o.put("ENTRY", JSONArray.fromObject(ENTRY).toString());
        System.out.println("!!!!!!!!!!!!!!!!!!!!!!!");
        System.out.println(o.toString());
        return o.toString();
    }
}
